## pdf-presenter-console 4.1.2

=== src/CMakeLists.txt ===
find_package(PkgConfig)
pkg_check_modules(GOBJECT REQUIRED gobject-2.0)
pkg_check_modules(GIO REQUIRED gio-2.0)
pkg_check_modules(GEE REQUIRED gee-0.8)
pkg_check_modules(POPPLER REQUIRED poppler-glib>=0.22)
pkg_check_modules(GTK REQUIRED gtk+-3.0>=3.10)
list (FIND GTK_STATIC_LIBRARIES "X11" _index)
if (${_index} GREATER -1)
    set(WITH_X11 1)
    message(STATUS "GTK is compiled with X11 -- enabling X11 support")
    pkg_check_modules(X11 REQUIRED x11)
    set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D X11)
    set(X11_PACKAGE x11)
endif ()
pkg_check_modules(GTHREAD REQUIRED gthread-2.0)
pkg_check_modules(PANGOCAIRO REQUIRED pangocairo)
if (MOVIES)
    pkg_check_modules(GSTREAMER REQUIRED gstreamer-1.0)
    pkg_check_modules(GSTBASE REQUIRED gstreamer-base-1.0)
    pkg_check_modules(GSTAUDIO REQUIRED gstreamer-audio-1.0)
    pkg_check_modules(GSTVIDEO REQUIRED gstreamer-video-1.0)
    set(MOVIE_PACKAGES
        gstreamer-1.0
        gstreamer-base-1.0
        gstreamer-audio-1.0
        gstreamer-video-1.0
    )
endif ()

if ("${GTK_VERSION}" VERSION_LESS 3.18 OR "${VALA_VERSION}" VERSION_LESS 0.30)
    message(WARNING "Using legacy GTK API")
    set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D GTK_LEGACY)
endif ()

if ("${POPPLER_VERSION}" VERSION_GREATER 0.53 AND "${VALA_VERSION}" VERSION_GREATER 0.36.3)
    set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D NEW_POPPLER)
endif()

include_directories(
    ${GOBJECT_INCLUDE_DIRS}
    ${GIO_INCLUDE_DIRS}
    ${GEE_INCLUDE_DIRS}
    ${POPPLER_INCLUDE_DIRS}
    ${GTK_INCLUDE_DIRS}
    ${GTHREAD_INCLUDE_DIRS}
    ${PANGOCAIRO_INCLUDE_DIRS}
    ${GSTREAMER_INCLUDE_DIRS}
    ${GSTINTERFACES_INCLUDE_DIRS}
    ${GSTVIDEO_INCLUDE_DIRS}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

link_directories(
    ${GOBJECT_LIBRARY_DIRS}
    ${GIO_LIBRARY_DIRS}
    ${GEE_LIBRARY_DIRS}
    ${POPPLER_LIBRARY_DIRS}
    ${GTK_LIBRARY_DIRS}
    ${GTHREAD_LIBRARY_DIRS}
    ${PANGOCAIRO_LIBRARY_DIRS}
    ${GSTREAMER_LIBRARY_DIRS}
    ${GSTINTERFACES_LIBRARY_DIRS}
    ${GSTVIDEO_LIBRARY_DIRS}
)

if(${WITH_X11})
    include_directories(${X11_INCLUDE_DIRS})
    link_directories(${X11_LIBRARY_DIRS})
    set(ADDITIONAL_LIBS ${X11_LIBRARIES})
endif()

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/paths.in ${CMAKE_CURRENT_BINARY_DIR}/paths.vala)

file (GLOB_RECURSE C_SRC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.c)
file (GLOB_RECURSE VALA_SRC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.vala)
list(REMOVE_ITEM VALA_SRC paths.vala)
if (MOVIES)
    set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D MOVIES)
else ()
    LIST(REMOVE_ITEM VALA_SRC classes/action/movie.vala)
endif ()

vala_precompile(VALA_C
    ${VALA_SRC}
PACKAGES
    gio-2.0
    gee-0.8
    poppler-glib
    ${X11_PACKAGE}
    gtk+-3.0
    pangocairo
    posix
    ${MOVIE_PACKAGES}
OPTIONS
    --thread
    --debug
    --enable-experimental
    ${EXTRA_VALA_OPTIONS}
GENERATE_HEADER
    presenter
GENERATE_VAPI
    presenter
CUSTOM_VAPIS
    ${CMAKE_CURRENT_BINARY_DIR}/paths.vala
    ${CMAKE_CURRENT_SOURCE_DIR}/custom_binding.vapi
)

add_executable(pdfpc
    ${VALA_C}
    ${C_SRC}
)

# explicitly add libraries (needed e.g. for Fedora 13+)
target_link_libraries(pdfpc
    m
    ${GOBJECT_LIBRARIES}
    ${GIO_LIBRARIES}
    ${GEE_LIBRARIES}
    ${POPPLER_LIBRARIES}
    ${GTK_LIBRARIES}
    ${GTHREAD_LIBRARIES}
    ${PANGOCAIRO_LIBRARIES}
    ${GSTREAMER_LIBRARIES}
    ${GSTINTERFACES_LIBRARIES}
    ${GSTVIDEO_LIBRARIES}
    ${ADDITIONAL_LIBS}
)

install(TARGETS
    pdfpc
RUNTIME
DESTINATION
    bin
)

# The tests need a library version of all the pdf_presenter_stuff
add_library(pdf_presenter_console_test_library
    SHARED
    EXCLUDE_FROM_ALL
    ${VALA_C} presenter.h presenter.vapi
)

=== debian/changelog ===
pdf-presenter-console (4.1.2-2) unstable; urgency=medium

  * Upstream revisions repair regression (closes: #888677)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 28 May 2018 16:40:46 +0100

pdf-presenter-console (4.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 07 May 2018 23:13:18 +0100

pdf-presenter-console (4.1-4) unstable; urgency=medium

  * Recommends: gstreamer1.0-gtk3 as needed for videos (closes: #895224)
    See https://github.com/pdfpc/pdfpc/issues/339#issuecomment-381108541
  * patch for fuzzy rendering of images regression

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 30 Apr 2018 18:44:43 +0100

pdf-presenter-console (4.1-3) unstable; urgency=medium

  * Merge upstream mods, maybe this will solve video bug 895224
  * Swizzle packaging repo to salsa
  * Bump policy
  * Bump to dh11

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 12 Apr 2018 16:07:36 +0100

=== debian/control ===
Source: pdf-presenter-console
Section: graphics
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 11),
	       valac (>= 0.24),
	       cmake (>= 3),
	       libgee-0.8-dev,
	       libgtk-3-dev,
	       libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
	       libpoppler-glib-dev
Standards-Version: 4.1.4
Homepage: https://pdfpc.github.io
Vcs-Git: https://salsa.debian.org/debian/pdf-presenter-console.git
Vcs-Browser: https://salsa.debian.org/debian/pdf-presenter-console

Package: pdf-presenter-console
Provides: pdfpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gstreamer1.0-gtk3
Description: multi-monitor presentation tool (ala Keynote) for PDF files
 PPC is a viewer for PDF which uses Keynote-like multi-monitor output
 to provide meta information to the speaker.  It can show a normal
 presentation window on one screen and a more sophisticated overview
 on the other, with information like a picture of the next slide and a
 clock with the time remaining.

## pdf-presenter-console 4.3.1

=== debian/changelog ===
pdf-presenter-console (4.3.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert to debhelper 10 toease backports.
  * Comment out recommends for unavailable gstreamer1.0-gtk3.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Jan 2019 14:15:18 -0800

pdf-presenter-console (4.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 27 Jan 2019 19:59:29 +0000

pdf-presenter-console (4.3.0-1) unstable; urgency=medium

  * New upstream release
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 26 Dec 2018 16:12:58 +0000

pdf-presenter-console (4.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 19 Oct 2018 12:32:50 +0100

pdf-presenter-console (4.1.2-3) unstable; urgency=medium

  * track upstream, for bug fixes and features

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Oct 2018 15:20:12 +0100

=== debian/control ===
Source: pdf-presenter-console
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 10),
	       valac (>= 0.24),
	       cmake (>= 3),
	       libgee-0.8-dev,
	       libgtk-3-dev,
	       libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
	       libpoppler-glib-dev
Standards-Version: 4.3.0
Homepage: https://pdfpc.github.io
Vcs-Git: https://salsa.debian.org/debian/pdf-presenter-console.git
Vcs-Browser: https://salsa.debian.org/debian/pdf-presenter-console

Package: pdf-presenter-console
Provides: pdfpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
#Recommends: gstreamer1.0-gtk3
Description: multi-monitor presentation tool (ala Keynote) for PDF files
 PPC is a viewer for PDF which uses Keynote-like multi-monitor output
 to provide meta information to the speaker.  It can show a normal
 presentation window on one screen and a more sophisticated overview
 on the other, with information like a picture of the next slide and a
 clock with the time remaining.

## pdf-presenter-console 4.3.2

=== CMakeLists.txt ===
project("pdfpc" C)
cmake_minimum_required(VERSION 3.0)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/vala)

find_package(Vala "0.34" REQUIRED)
include(${VALA_USE_FILE})

set(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc" CACHE FILEPATH "sysconfdir")
set(MANDIR "share/man" CACHE FILEPATH "mandir")

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

option(MOVIES "Compile support for movie playback (requires gdk-x11)" ON)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(man)
add_subdirectory(rc)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 pkg_check_modules(GIO REQUIRED gio-2.0)
 pkg_check_modules(GEE REQUIRED gee-0.8)
 pkg_check_modules(POPPLER REQUIRED poppler-glib>=0.22)
-pkg_check_modules(GTK REQUIRED gtk+-3.0>=3.10)
+pkg_check_modules(GTK REQUIRED gtk+-3.0>=3.22)
 list (FIND GTK_STATIC_LIBRARIES "X11" _index)
 if (${_index} GREATER -1)
     set(WITH_X11 1)
@@ -25,11 +25,6 @@
         gstreamer-audio-1.0
         gstreamer-video-1.0
     )
-endif ()
-
-if ("${GTK_VERSION}" VERSION_LESS 3.18 OR "${VALA_VERSION}" VERSION_LESS 0.30)
-    message(WARNING "Using legacy GTK API")
-    set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D GTK_LEGACY)
 endif ()
 
 if ("${POPPLER_VERSION}" VERSION_GREATER 0.53 AND "${VALA_VERSION}" VERSION_GREATER 0.36.3)
@@ -80,6 +75,27 @@
     LIST(REMOVE_ITEM VALA_SRC classes/action/movie.vala)
 endif ()
 
+# Check for some compiler flags to suppress excessive Vala-triggered warnings
+# Since gcc >= 4.4 can silently ignore unrecognized -W-no* flags, we test
+# for positive options instead.
+include(CheckCCompilerFlag)
+check_c_compiler_flag(-Wdiscarded-qualifiers CC_HAS_DISCARDED_QUALIFIERS)
+if (CC_HAS_DISCARDED_QUALIFIERS)
+    add_definitions("-Wno-discarded-qualifiers")
+endif()
+check_c_compiler_flag(-Wincompatible-pointer-types CC_HAS_INCOMPATIBLE_POINTER_TYPES)
+if (CC_HAS_INCOMPATIBLE_POINTER_TYPES)
+    add_definitions("-Wno-incompatible-pointer-types")
+endif()
+check_c_compiler_flag(-Wdeprecated-declarations CC_HAS_DEPRECATED_DECLARATIONS)
+if (CC_HAS_DEPRECATED_DECLARATIONS)
+    add_definitions("-Wno-deprecated-declarations")
+endif()
+check_c_compiler_flag(-Wimplicit-function-declaration CC_HAS_IMPLICIT_FUNCTION_DECLARATION)
+if (CC_HAS_IMPLICIT_FUNCTION_DECLARATION)
+    add_definitions("-Wno-implicit-function-declaration")
+endif()
+
 vala_precompile(VALA_C
     ${VALA_SRC}
 PACKAGES
@@ -96,10 +112,6 @@
     --debug
     --enable-experimental
     ${EXTRA_VALA_OPTIONS}
-GENERATE_HEADER
-    presenter
-GENERATE_VAPI
-    presenter
 CUSTOM_VAPIS
     ${CMAKE_CURRENT_BINARY_DIR}/paths.vala
     ${CMAKE_CURRENT_SOURCE_DIR}/custom_binding.vapi
@@ -132,10 +144,3 @@
 DESTINATION
     bin
 )
-
-# The tests need a library version of all the pdf_presenter_stuff
-add_library(pdf_presenter_console_test_library
-    SHARED
-    EXCLUDE_FROM_ALL
-    ${VALA_C} presenter.h presenter.vapi
-)

=== debian/changelog ===
pdf-presenter-console (4.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 06 Feb 2019 22:12:11 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: pdf-presenter-console
 Section: graphics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Build-Depends: debhelper (>= 11),
 	       valac (>= 0.24),
 	       cmake (>= 3),
 	       libgee-0.8-dev,
@@ -19,7 +18,7 @@
 Provides: pdfpc
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-#Recommends: gstreamer1.0-gtk3
+Recommends: gstreamer1.0-gtk3
 Description: multi-monitor presentation tool (ala Keynote) for PDF files
  PPC is a viewer for PDF which uses Keynote-like multi-monitor output
  to provide meta information to the speaker.  It can show a normal

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DSYSCONFDIR=/etc

override_dh_auto_test:
	echo skipping dh_auto_test as it seems to go into infinite recursion

## pdf-presenter-console 4.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,7 @@
 find_package(Vala "0.34" REQUIRED)
 include(${VALA_USE_FILE})
 
-set(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc" CACHE FILEPATH "sysconfdir")
-set(MANDIR "share/man" CACHE FILEPATH "mandir")
+include(GNUInstallDirs)
 
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

=== icons/CMakeLists.txt ===
install(FILES
    blank.svg
    hidden.svg
    snow.svg
    pause.svg
    saved.svg
    loaded.svg
    locked.svg
    empty.svg
    highlight.svg
    pen.svg
    eraser.svg
    move.svg
    settings.svg
    linewidth.svg
DESTINATION
    share/pixmaps/pdfpc
)

=== man/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/pdfpc.in ${CMAKE_CURRENT_BINARY_DIR}/pdfpc.1)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/pdfpcrc.in ${CMAKE_CURRENT_BINARY_DIR}/pdfpcrc.5)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/pdfpc.1
DESTINATION
    ${CMAKE_INSTALL_MANDIR}/man1
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/pdfpcrc.5
DESTINATION
    ${CMAKE_INSTALL_MANDIR}/man5
)

=== rc/CMakeLists.txt ===
install(FILES
    pdfpcrc
DESTINATION
    ${CMAKE_INSTALL_FULL_SYSCONFDIR}
)

install(FILES
    pdfpc.css
DESTINATION
    ${CMAKE_INSTALL_PREFIX}/share/pixmaps/pdfpc/
)

=== debian/changelog ===
pdf-presenter-console (4.3.4-3) unstable; urgency=medium

  * Track upstream maintenance patches
  * Remove now-unnecessary SYSCONFDIR business in debian/rules
  * Remove obsolete .menu file; .desktop suffices
  * Rules-Requires-Root: no

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 29 Sep 2019 12:00:31 +0100

pdf-presenter-console (4.3.4-2) unstable; urgency=medium

  * Track upstream maintenance patches

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 Aug 2019 18:06:47 +0200

pdf-presenter-console (4.3.4-1) unstable; urgency=medium

  * New upstream version
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Jul 2019 15:47:49 +0100

pdf-presenter-console (4.3.2-2) unstable; urgency=medium

  * Merge upstream video format fix
  * Bump to debhelper 12

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 18 Jun 2019 11:35:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: graphics
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
 	       valac (>= 0.24),
 	       cmake (>= 3),
 	       libgee-0.8-dev,
 	       libgtk-3-dev,
 	       libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
 	       libpoppler-glib-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Homepage: https://pdfpc.github.io
 Vcs-Git: https://salsa.debian.org/debian/pdf-presenter-console.git
 Vcs-Browser: https://salsa.debian.org/debian/pdf-presenter-console

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,5 @@
 %:
 	dh $@
 
-override_dh_auto_configure:
-	dh_auto_configure -- -DSYSCONFDIR=/etc
-
 override_dh_auto_test:
 	echo skipping dh_auto_test as it seems to go into infinite recursion

=== debian/watch ===
version=3

# group upstream maintainers, repo tags
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/<project>-$1.tar.gz/" \
 https://github.com/pdfpc/pdfpc/tags (?:.*/)?v?(\d[\d\.\_]*)\.tar\.gz

# See competition at http://michaeldadams.org/projects/haskell-pdf-presenter

## pdf-presenter-console 4.4.0

=== debian/changelog ===
pdf-presenter-console (4.4.0-1) unstable; urgency=medium

  * Wrap long lines in changelog entries: 4.0.6-1.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Debhelper 13

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 29 May 2020 12:21:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: graphics
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 	       valac (>= 0.24),
 	       cmake (>= 3),
 	       libgee-0.8-dev,
 	       libgtk-3-dev,
 	       libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
 	       libpoppler-glib-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://pdfpc.github.io
 Vcs-Git: https://salsa.debian.org/debian/pdf-presenter-console.git

## pdf-presenter-console 4.5.0

=== icons/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
     move.svg
     settings.svg
     linewidth.svg
+    spotlight.svg
 DESTINATION
     share/pixmaps/pdfpc
 )

=== latex/Makefile ===
FILE=pdfpc

all: validate

validate: build
	cd $(FILE); ctan-o-mat $(FILE).pkg

build-doc:
	cd $(FILE); pdflatex $(FILE)-doc.tex; pdflatex $(FILE)-doc.tex

build: build-doc
	cd $(FILE); ctanify --no-tds $(FILE).sty $(FILE)-doc.tex $(FILE)-doc.pdf README.md

=== rc/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 )
 
 install(FILES
-    pdfpc.css
+    pdfpc.css notes.css
 DESTINATION
     ${CMAKE_INSTALL_PREFIX}/share/pixmaps/pdfpc/
 )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,9 @@
 pkg_check_modules(GEE REQUIRED gee-0.8)
 pkg_check_modules(POPPLER REQUIRED poppler-glib>=0.22)
 pkg_check_modules(GTK REQUIRED gtk+-3.0>=3.22)
+pkg_check_modules(WEBKIT REQUIRED webkit2gtk-4.0)
+pkg_check_modules(MARKDOWN REQUIRED libmarkdown)
+pkg_check_modules(JSON REQUIRED json-glib-1.0)
 list (FIND GTK_STATIC_LIBRARIES "X11" _index)
 if (${_index} GREATER -1)
     set(WITH_X11 1)
@@ -42,6 +45,9 @@
     ${GSTREAMER_INCLUDE_DIRS}
     ${GSTINTERFACES_INCLUDE_DIRS}
     ${GSTVIDEO_INCLUDE_DIRS}
+    ${WEBKIT_INCLUDE_DIRS}
+    ${MARKDOWN_INCLUDE_DIRS}
+    ${JSON_INCLUDE_DIRS}
     ${CMAKE_CURRENT_SOURCE_DIR}
 )
 
@@ -56,6 +62,9 @@
     ${GSTREAMER_LIBRARY_DIRS}
     ${GSTINTERFACES_LIBRARY_DIRS}
     ${GSTVIDEO_LIBRARY_DIRS}
+    ${WEBKIT_LIBRARY_DIRS}
+    ${MARKDOWN_LIBRARY_DIRS}
+    ${JSON_LIBRARY_DIRS}
 )
 
 if(${WITH_X11})
@@ -99,6 +108,8 @@
 vala_precompile(VALA_C
     ${VALA_SRC}
 PACKAGES
+    webkit2gtk-4.0
+    json-glib-1.0
     gio-2.0
     gee-0.8
     poppler-glib
@@ -108,13 +119,12 @@
     posix
     ${MOVIE_PACKAGES}
 OPTIONS
-    --thread
-    --debug
     --enable-experimental
     ${EXTRA_VALA_OPTIONS}
 CUSTOM_VAPIS
     ${CMAKE_CURRENT_BINARY_DIR}/paths.vala
     ${CMAKE_CURRENT_SOURCE_DIR}/custom_binding.vapi
+    ${CMAKE_CURRENT_SOURCE_DIR}/libmarkdown.vapi
 )
 
 add_executable(pdfpc
@@ -129,6 +139,9 @@
     ${GIO_LIBRARIES}
     ${GEE_LIBRARIES}
     ${POPPLER_LIBRARIES}
+    ${MARKDOWN_LIBRARIES}
+    ${WEBKIT_LIBRARIES}
+    ${JSON_LIBRARIES}
     ${GTK_LIBRARIES}
     ${GTHREAD_LIBRARIES}
     ${PANGOCAIRO_LIBRARIES}

=== debian/changelog ===
pdf-presenter-console (4.5.0-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.
  * Move gstreamer1.0-gtk3 to depends.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 04 May 2021 12:44:03 -0400

pdf-presenter-console (4.5.0-2) unstable; urgency=medium

  * Track upstream maintenance branch

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 16 Jan 2021 11:54:07 +0000

pdf-presenter-console (4.5.0-1) unstable; urgency=medium

  * New upstream release
    - Upstream copyright now GNU GPL-3 (or later)
    - Add new build dependencies
    - SUPPORT.txt renamed to SUPPORT.rst
    - quilt patch to escape ' at start of line in man page
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 28 Dec 2020 17:26:04 +0000

pdf-presenter-console (4.4.1-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 21 Nov 2020 11:27:08 +0000

=== debian/control ===
Source: pdf-presenter-console
Section: graphics
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13),
		valac (>= 0.24),
		cmake (>= 3),
		libgee-0.8-dev,
		libpoppler-glib-dev,
		libgtk-3-dev,
		libwebkit2gtk-4.0-dev,
		libmarkdown2-dev,
		libjson-glib-dev,
		libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://pdfpc.github.io
Vcs-Git: https://salsa.debian.org/debian/pdf-presenter-console.git
Vcs-Browser: https://salsa.debian.org/debian/pdf-presenter-console

Package: pdf-presenter-console
Provides: pdfpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer1.0-gtk3
Description: multi-monitor presentation tool (ala Keynote) for PDF files
 PPC is a viewer for PDF which uses Keynote-like multi-monitor output
 to provide meta information to the speaker.  It can show a normal
 presentation window on one screen and a more sophisticated overview
 on the other, with information like a picture of the next slide and a
 clock with the time remaining.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,7 @@
 	dh $@
 
 override_dh_auto_test:
-	echo skipping dh_auto_test as it seems to go into infinite recursion
+	@echo "skipping dh_auto_test as it seems to go into infinite recursion"
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## pdf-presenter-console 4.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,12 @@
 
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
 
-option(MOVIES "Compile support for movie playback (requires gdk-x11)" ON)
+option(MOVIES "Compile support for movie playback (requires gstreamer)" ON)
+option(MDVIEW "Enable viewing Markdown notes (requires webkit2gtk)" ON)
+option(REST "Compile support for REST server (requires libsoup and libqrencode)" ON)
 
 add_subdirectory(src)
 add_subdirectory(icons)
 add_subdirectory(man)
+add_subdirectory(css)
 add_subdirectory(rc)

=== css/CMakeLists.txt ===
install(FILES
    pdfpc.css notes.css
DESTINATION
    ${CMAKE_INSTALL_PREFIX}/share/pdfpc/css
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 pkg_check_modules(GEE REQUIRED gee-0.8)
 pkg_check_modules(POPPLER REQUIRED poppler-glib>=0.22)
 pkg_check_modules(GTK REQUIRED gtk+-3.0>=3.22)
-pkg_check_modules(WEBKIT REQUIRED webkit2gtk-4.0)
 pkg_check_modules(MARKDOWN REQUIRED libmarkdown)
 pkg_check_modules(JSON REQUIRED json-glib-1.0)
 list (FIND GTK_STATIC_LIBRARIES "X11" _index)
@@ -30,7 +29,26 @@
     )
 endif ()
 
-if ("${POPPLER_VERSION}" VERSION_GREATER 0.53 AND "${VALA_VERSION}" VERSION_GREATER 0.36.3)
+if (MDVIEW)
+    pkg_check_modules(WEBKIT REQUIRED webkit2gtk-4.0)
+    set(MDVIEW_PACKAGES webkit2gtk-4.0)
+    set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D MDVIEW)
+endif ()
+
+if (REST)
+    pkg_check_modules(SOUP REQUIRED libsoup-2.4)
+    pkg_check_modules(QRENCODE REQUIRED libqrencode)
+    set(REST_PACKAGES
+        libsoup-2.4
+    )
+
+    if (${CMAKE_HOST_WIN32})
+        # Needed for Posix.gethostname()
+        set(WSOCK32_LIB wsock32)
+    endif ()
+endif ()
+
+if ("${POPPLER_VERSION}" VERSION_GREATER_EQUAL 0.80 AND "${VALA_VERSION}" VERSION_GREATER 0.48.0)
     set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D NEW_POPPLER)
 endif()
 
@@ -48,6 +66,8 @@
     ${WEBKIT_INCLUDE_DIRS}
     ${MARKDOWN_INCLUDE_DIRS}
     ${JSON_INCLUDE_DIRS}
+    ${SOUP_INCLUDE_DIRS}
+    ${QRENCODE_INCLUDE_DIRS}
     ${CMAKE_CURRENT_SOURCE_DIR}
 )
 
@@ -65,6 +85,8 @@
     ${WEBKIT_LIBRARY_DIRS}
     ${MARKDOWN_LIBRARY_DIRS}
     ${JSON_LIBRARY_DIRS}
+    ${SOUP_LIBRARY_DIRS}
+    ${QRENCODE_LIBRARY_DIRS}
 )
 
 if(${WITH_X11})
@@ -82,6 +104,12 @@
     set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D MOVIES)
 else ()
     LIST(REMOVE_ITEM VALA_SRC classes/action/movie.vala)
+endif ()
+if (REST)
+    set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D REST)
+else ()
+    LIST(REMOVE_ITEM VALA_SRC classes/rest_server.vala)
+    LIST(REMOVE_ITEM VALA_SRC classes/window/qrcode.vala)
 endif ()
 
 # Check for some compiler flags to suppress excessive Vala-triggered warnings
@@ -118,6 +146,8 @@
     pangocairo
     posix
     ${MOVIE_PACKAGES}
+    ${MDVIEW_PACKAGES}
+    ${REST_PACKAGES}
 OPTIONS
     --enable-experimental
     ${EXTRA_VALA_OPTIONS}
@@ -125,6 +155,7 @@
     ${CMAKE_CURRENT_BINARY_DIR}/paths.vala
     ${CMAKE_CURRENT_SOURCE_DIR}/custom_binding.vapi
     ${CMAKE_CURRENT_SOURCE_DIR}/libmarkdown.vapi
+    ${CMAKE_CURRENT_SOURCE_DIR}/libqrencode.vapi
 )
 
 add_executable(pdfpc
@@ -135,6 +166,7 @@
 # explicitly add libraries (needed e.g. for Fedora 13+)
 target_link_libraries(pdfpc
     m
+    ${WSOCK32_LIB}
     ${GOBJECT_LIBRARIES}
     ${GIO_LIBRARIES}
     ${GEE_LIBRARIES}
@@ -142,6 +174,8 @@
     ${MARKDOWN_LIBRARIES}
     ${WEBKIT_LIBRARIES}
     ${JSON_LIBRARIES}
+    ${SOUP_LIBRARIES}
+    ${QRENCODE_LIBRARIES}
     ${GTK_LIBRARIES}
     ${GTHREAD_LIBRARIES}
     ${PANGOCAIRO_LIBRARIES}

=== debian/changelog ===
pdf-presenter-console (4.6.0-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:13:20 +1100

pdf-presenter-console (4.6.0-3build2) noble; urgency=medium

  * No-change rebuild against .

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 09:37:47 +1300

pdf-presenter-console (4.6.0-3build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:36:34 +0000

pdf-presenter-console (4.6.0-3) unstable; urgency=medium

  * Cherrypick upstream pull req https://github.com/pdfpc/pdfpc/pull/687/files,
    fixes unsupported generic type FTBFS by boxing it (closes: #1042165)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 27 Jul 2023 11:05:05 +0100

pdf-presenter-console (4.6.0-2) unstable; urgency=medium

  * Drop obsolete Build-Depend on libsoup2.4 & libqrencode-dev
  * Switch to webkit 4.1; depend on libwebkit2gtk-4.1-dev instead of 4.0

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 21 Jun 2023 20:55:54 +0100

pdf-presenter-console (4.6.0-1) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed.
  * New upstream release
  * Build dependency on libqrencode-dev, and follow README.rst

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 27 Dec 2022 21:52:36 +0000

pdf-presenter-console (4.5.0-3) unstable; urgency=medium

  * Track upstream maintenance branch
  * Update standards version to 4.6.0, no changes needed.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 02 Nov 2021 12:58:20 -0000

=== debian/control ===
Source: pdf-presenter-console
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13),
		cmake,
		valac,
		libgee-0.8-dev,
		libpoppler-glib-dev,
		libgtk-3-dev,
		libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
		libjson-glib-dev,
		libmarkdown2-dev,
		libwebkit2gtk-4.1-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://pdfpc.github.io
Vcs-Git: https://salsa.debian.org/debian/pdf-presenter-console.git
Vcs-Browser: https://salsa.debian.org/debian/pdf-presenter-console

Package: pdf-presenter-console
Provides: pdfpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gstreamer1.0-gtk3
Description: multi-monitor presentation tool (ala Keynote) for PDF files
 PPC is a viewer for PDF which uses Keynote-like multi-monitor output
 to provide meta information to the speaker.  It can show a normal
 presentation window on one screen and a more sophisticated overview
 on the other, with information like a picture of the next slide and a
 clock with the time remaining.

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DREST=OFF
+
 override_dh_auto_test:
 	@echo "skipping dh_auto_test as it seems to go into infinite recursion"
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## pdf-presenter-console 4.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
+cmake_minimum_required(VERSION 3.7)
 project("pdfpc" C)
-cmake_minimum_required(VERSION 3.0)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/vala)
 
-find_package(Vala "0.34" REQUIRED)
+find_package(Vala "0.48" REQUIRED)
 include(${VALA_USE_FILE})
 
 include(GNUInstallDirs)

=== demo/Makefile ===
# Suffixes
.SUFFIXES : .tex .pdf

# Executables
PDFLATEX = pdflatex

RM = rm -f

# Rules
.tex.pdf :
	$(PDFLATEX) $< && $(PDFLATEX) $<

# Config
DEMO  = pdfpc-demo

PDFDOCS = $(DEMO).pdf

# Targets
all : $(PDFDOCS)

clean :
	$(RM) *.aux *.log *.toc *.nav *.out *.snm *.vrb

=== rc/CMakeLists.txt ===
install(FILES
    pdfpcrc
DESTINATION
    ${CMAKE_INSTALL_FULL_SYSCONFDIR}
)

=== demo/pdfpc-video-example/Makefile ===
# Suffixes
.SUFFIXES : .tex .pdf

# Executables
PDFLATEX = pdflatex

RM = rm -f

# Rules
.tex.pdf :
	$(PDFLATEX) $< && $(PDFLATEX) $<

# Config
DEMO  = video-example

PDFDOCS = $(DEMO).pdf

zipfile: $(PDFDOCS)
	zip -j $(DEMO).zip $(PDFDOCS) $(DEMO).tex apollo17.avi apollo17.jpg

# Targets
all : $(PDFDOCS) zipfile

clean :
	$(RM) *.aux *.log *.toc *.nav *.out *.snm *.vrb

=== debian/changelog ===
pdf-presenter-console (4.7.0-1) unstable; urgency=medium

  * Track upstream through monitor-fixes, commit 4b5060f
  * New upstream release
  * Bump policy
  * Remove upstreamed patches

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 21 Dec 2024 15:50:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pdf-presenter-console
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13),
 		cmake,
 		valac,
@@ -13,7 +12,7 @@
 		libjson-glib-dev,
 		libmarkdown2-dev,
 		libwebkit2gtk-4.1-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://pdfpc.github.io
 Vcs-Git: https://salsa.debian.org/debian/pdf-presenter-console.git

=== debian/watch ===
version=4

# group upstream maintainers, repo tags
https://github.com/pdfpc/pdfpc/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@

# See competition at http://michaeldadams.org/projects/haskell-pdf-presenter
